//	AcidTileSet.cpp - Tile set using Acid's tiles.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "AcidTileSet.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "AcidTiles.h"

//------------------------------------------------------------------------------
AcidTileSet::AcidTileSet()
{
	
}

//------------------------------------------------------------------------------
AcidTileSet::~AcidTileSet()
{
	
}

//------------------------------------------------------------------------------
void AcidTileSet::loadTiles(Drawer *d)
{
	ImageLoader imLoad;
	ImageData data;

	//Ground tiles.
	data = imLoad.loadImage(AcidTiles::acid01_png, AcidTiles::acid01_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));


	//Wall tiles.
	data = imLoad.loadImage(AcidTiles::acid02_png, AcidTiles::acid02_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(AcidTiles::acid03_png, AcidTiles::acid03_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(AcidTiles::acid04_png, AcidTiles::acid04_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(AcidTiles::acid05_png, AcidTiles::acid05_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(AcidTiles::acid06_png, AcidTiles::acid06_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(AcidTiles::acid07_png, AcidTiles::acid07_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(AcidTiles::acid08_png, AcidTiles::acid08_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(AcidTiles::acid09_png, AcidTiles::acid09_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(AcidTiles::acid10_png, AcidTiles::acid10_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
}
