//	BigLonTileSet.cpp - Tile set using 2 of Big Lon's tiles.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "BigLonTileSet.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "BigLonTiles.h"

//------------------------------------------------------------------------------
BigLonTileSet::BigLonTileSet()
{
	
}

//------------------------------------------------------------------------------
BigLonTileSet::~BigLonTileSet()
{
	
}

//------------------------------------------------------------------------------
void BigLonTileSet::loadTiles(Drawer *d)
{
	ImageLoader imLoad;
	ImageData data;

	//Ground tiles.
	data = imLoad.loadImage(BigLonTiles::biglon100_png, BigLonTiles::biglon100_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));


	//Wall tiles.
	data = imLoad.loadImage(BigLonTiles::biglon101_png, BigLonTiles::biglon101_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
}
