//	BulletPickup.cpp - Gives the player extra big bullets for a time.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "BulletPickup.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "Images.h"
#include "GauntletPlayer.h"

//------------------------------------------------------------------------------
uint32_t BulletPickup::image = 0;

//------------------------------------------------------------------------------
BulletPickup::BulletPickup(int x, int y):
Pickup(x, y)
{
	
}

//------------------------------------------------------------------------------
BulletPickup::~BulletPickup()
{
	
}

//------------------------------------------------------------------------------
void BulletPickup::draw(Drawer *d)
{
	if(!image)
	{
		ImageLoader imLoad;
		ImageData data;

		data = imLoad.loadImage(Images::crate_png, Images::crate_pngSize);
		image = d->loadImage(data.data, data.width, data.height);
	}

	d->drawImage(image, getX()+8, getY()+8);
}

//------------------------------------------------------------------------------
void BulletPickup::apply(GauntletPlayer *p)
{
	p->useBigBullets();
}
