//	Dbb1TileSet.cpp - Tile set using dbb's dungeon tiles
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Dbb1TileSet.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "Dbb1Tiles.h"

//------------------------------------------------------------------------------
Dbb1TileSet::Dbb1TileSet()
{
	
}

//------------------------------------------------------------------------------
Dbb1TileSet::~Dbb1TileSet()
{
	
}

//------------------------------------------------------------------------------
void Dbb1TileSet::loadTiles(Drawer *d)
{
	ImageLoader imLoad;
	ImageData data;

	//Ground tiles.
	data = imLoad.loadImage(Dbb1Tiles::dbb100_png, Dbb1Tiles::dbb100_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb1Tiles::dbb101_png, Dbb1Tiles::dbb101_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb1Tiles::dbb102_png, Dbb1Tiles::dbb102_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb1Tiles::dbb104_png, Dbb1Tiles::dbb104_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));


	//Wall tiles.
	data = imLoad.loadImage(Dbb1Tiles::dbb105_png, Dbb1Tiles::dbb105_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb1Tiles::dbb106_png, Dbb1Tiles::dbb106_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb1Tiles::dbb107_png, Dbb1Tiles::dbb107_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb1Tiles::dbb108_png, Dbb1Tiles::dbb108_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));


	//Impassable tiles.
	data = imLoad.loadImage(Dbb1Tiles::dbb109_png, Dbb1Tiles::dbb109_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb1Tiles::dbb110_png, Dbb1Tiles::dbb110_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
}
