//	Dbb2TileSet.cpp - Tile set using dbb's island tiles
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Dbb2TileSet.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "Dbb2Tiles.h"

//------------------------------------------------------------------------------
Dbb2TileSet::Dbb2TileSet()
{
	
}

//------------------------------------------------------------------------------
Dbb2TileSet::~Dbb2TileSet()
{
	
}

//------------------------------------------------------------------------------
void Dbb2TileSet::loadTiles(Drawer *d)
{
	ImageLoader imLoad;
	ImageData data;

	//Ground tiles.
	data = imLoad.loadImage(Dbb2Tiles::dbb200_png, Dbb2Tiles::dbb200_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb201_png, Dbb2Tiles::dbb201_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb202_png, Dbb2Tiles::dbb202_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb203_png, Dbb2Tiles::dbb203_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb204_png, Dbb2Tiles::dbb204_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb205_png, Dbb2Tiles::dbb205_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb206_png, Dbb2Tiles::dbb206_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb207_png, Dbb2Tiles::dbb207_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb208_png, Dbb2Tiles::dbb208_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb209_png, Dbb2Tiles::dbb209_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb210_png, Dbb2Tiles::dbb210_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb211_png, Dbb2Tiles::dbb211_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb212_png, Dbb2Tiles::dbb212_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb213_png, Dbb2Tiles::dbb213_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb214_png, Dbb2Tiles::dbb214_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb215_png, Dbb2Tiles::dbb215_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb216_png, Dbb2Tiles::dbb216_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb217_png, Dbb2Tiles::dbb217_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));


	//Wall tiles.
	data = imLoad.loadImage(Dbb2Tiles::dbb218_png, Dbb2Tiles::dbb218_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb219_png, Dbb2Tiles::dbb219_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb220_png, Dbb2Tiles::dbb220_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb221_png, Dbb2Tiles::dbb221_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb222_png, Dbb2Tiles::dbb222_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb223_png, Dbb2Tiles::dbb223_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb224_png, Dbb2Tiles::dbb224_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb225_png, Dbb2Tiles::dbb225_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));


	//Impassable tiles.
	data = imLoad.loadImage(Dbb2Tiles::dbb226_png, Dbb2Tiles::dbb226_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb227_png, Dbb2Tiles::dbb227_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb228_png, Dbb2Tiles::dbb228_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb229_png, Dbb2Tiles::dbb229_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb230_png, Dbb2Tiles::dbb230_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb231_png, Dbb2Tiles::dbb231_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb232_png, Dbb2Tiles::dbb232_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb233_png, Dbb2Tiles::dbb233_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb234_png, Dbb2Tiles::dbb234_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb235_png, Dbb2Tiles::dbb235_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb236_png, Dbb2Tiles::dbb236_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb237_png, Dbb2Tiles::dbb237_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Dbb2Tiles::dbb238_png, Dbb2Tiles::dbb238_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
}
