//	Explosion.cpp - An explosion.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Explosion.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "Images.h"

//------------------------------------------------------------------------------
uint32_t Explosion::images[9] = {0, 0, 0, 0, 0, 0, 0, 0, 0};

//------------------------------------------------------------------------------
Explosion::Explosion(int x, int y, bool big):
xPos(x),
yPos(y),
hugeExp(big),
timer(4),
frame(0)
{
	
}

//------------------------------------------------------------------------------
Explosion::~Explosion()
{
	
}

//------------------------------------------------------------------------------
bool Explosion::draw(Drawer *d)
{
	bool retval = false;

	if(!images[0])
	{
		ImageLoader imLoad;
		ImageData data;

		data = imLoad.loadImage(Images::splosion02_png, Images::splosion02_pngSize);
		images[0] = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::splosion03_png, Images::splosion03_pngSize);
		images[1] = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::splosion04_png, Images::splosion04_pngSize);
		images[2] = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::splosion05_png, Images::splosion05_pngSize);
		images[3] = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::splosion06_png, Images::splosion06_pngSize);
		images[4] = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::splosion07_png, Images::splosion07_pngSize);
		images[5] = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::splosion08_png, Images::splosion08_pngSize);
		images[6] = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::splosion09_png, Images::splosion09_pngSize);
		images[7] = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::splosion10_png, Images::splosion10_pngSize);
		images[8] = d->loadImage(data.data, data.width, data.height);
	}

	--timer;
	if(!timer)
	{
		++frame;
		if(frame > 8)
			return true;

		timer = 4;
	}

	if(hugeExp)
		d->drawImage(images[frame], xPos, yPos, 7.0f, 7.0f);
	else
		d->drawImage(images[frame], xPos, yPos);

	return retval;
}
