//	Explosion.h - An explosion.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef EXPLOSION_H_
#define EXPLOSION_H_

#include <stdint.h>

class Drawer;

///	An explosion.
class Explosion
{
  public:
	///	Constructor.
	Explosion(int x, int y, bool big = false);
	///	Destructor.
	~Explosion();

	///	Draws the explosion, returns true when the explosion is finished.
	bool draw(Drawer *d);
  private:
	///	The explosion images.
	static uint32_t images[9];

	///	The position of the explosion.
	int xPos;
	///	The position of the explosion.
	int yPos;
	///	Boss explosion.
	bool hugeExp;

	///	Used to time the explosion frames correctly.
	int timer;
	///	Which frame the explosion is currently on.
	int frame;
};

#endif
