//	GameState.cpp - Base class for the various game states.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "GameState.h"
#include "Application.h"

using namespace std;

//------------------------------------------------------------------------------
GameState::GameState(Application *app):
application(app)
{
	
}

//------------------------------------------------------------------------------
GameState::~GameState()
{
	
}

//------------------------------------------------------------------------------
void GameState::nextState(const string& newState, uint8_t *level, TileSet *tiles)
{
	application->nextState(newState, level, tiles);
}

//------------------------------------------------------------------------------
void GameState::quit()
{
	application->quit();
}
