//	GauntletBullet.cpp - The player's bullets in the gauntlet stage.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "GauntletBullet.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "Images.h"

//------------------------------------------------------------------------------
uint32_t GauntletBullet::image = 0;
uint32_t GauntletBullet::bigImage = 0;

//------------------------------------------------------------------------------
GauntletBullet::GauntletBullet(float x, float y, float dirX, float dirY, bool bigBullet):
xPos(x),
yPos(y),
xDir(dirX),
yDir(dirY),
big(bigBullet)
{
	
}

//------------------------------------------------------------------------------
GauntletBullet::~GauntletBullet()
{
	
}

//------------------------------------------------------------------------------
bool GauntletBullet::move()
{
	bool retval = false;

	xPos += xDir * 2.25f;
	yPos += yDir * 2.25f;

	if(xPos < 0.0f)
		retval = true;
	else if(xPos > 226.0f)
		retval = true;
	if(yPos < 0.0f)
		retval = true;
	else if(yPos > 322.0f)
		retval = true;

	return retval;
}

//------------------------------------------------------------------------------
void GauntletBullet::draw(Drawer *d)
{
	if(!image)
	{
		ImageLoader imLoad;
		ImageData data;

		data = imLoad.loadImage(Images::gauntletbullet_png, Images::gauntletbullet_pngSize);
		image = d->loadImage(data.data, data.width, data.height);

		data = imLoad.loadImage(Images::gauntletbulletbig_png, Images::gauntletbulletbig_pngSize);
		bigImage = d->loadImage(data.data, data.width, data.height);
	}

	if(big)
		d->drawImage(bigImage, (int)xPos-6, (int)yPos-6, 1.5f, 1.5f);
	else
		d->drawImage(image, (int)xPos-2, (int)yPos-2);
}
