//	GauntletBullet.h - The player's bullets in the gauntlet stage.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef GAUNTLETBULLET_H_
#define GAUNTLETBULLET_H_

#include <stdint.h>

class Drawer;

///	The player's bullets in the gauntlet stage.
class GauntletBullet
{
  public:
	///	Constructor.
	GauntletBullet(float x, float y, float dirX, float dirY, bool bigBullet = false);
	///	Destructor.
	~GauntletBullet();

	///	Moves the bullet.
	bool move();
	///	Draws the bullet.
	void draw(Drawer *d);

	///	Returns the bullet's position.
	float getX() const {return xPos;};
	///	Returns the bullet's position.
	float getY() const {return yPos;};
	///	Returns whether this is a big bullet or not.
	bool getBig() const {return big;};
  private:
	///	The bullet's image.
	static uint32_t image;
	///	The big bullet's image.
	static uint32_t bigImage;

	///	The bullet's position.
	float xPos;
	///	The bullet's position.
	float yPos;
	///	The bullet's direction.
	float xDir;
	///	The bullet's direction.
	float yDir;

	///	Whether this is a big bullet or not.
	bool big;
};

#endif
