//	Float2Int.h - Fast float to integer conversion.
//  ----------------------------------------------------------------------------
//	This file is part of 'The Future Will Only Be Dystopian if Capitalism
//	Remains Undefeated', a game.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include <stdint.h>

//(Taken from http://www.stereopsis.com/FPU.html )

const double _double2fixmagic = 68719476736.0*1.5; //2^36 * 1.5,  (52-_shiftamt=36) uses limited precisicion to floor
const int32_t _shiftamt = 16; //16.16 fixed point representation,

#if BIG_ENDIAN
	#define iexp_				0
	#define iman_				1
#else
	#define iexp_				1
	#define iman_				0
#endif

inline int32_t float2Int(double val)
{
	val = val + _double2fixmagic;
	return ((int32_t *)&val)[iman_] >> _shiftamt;
};
