//	OverkillTileSet.cpp - Tile set using Overkill's tiles.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "OverkillTileSet.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "OverkillTiles.h"

//------------------------------------------------------------------------------
OverkillTileSet::OverkillTileSet()
{
	
}

//------------------------------------------------------------------------------
OverkillTileSet::~OverkillTileSet()
{
	
}

//------------------------------------------------------------------------------
void OverkillTileSet::loadTiles(Drawer *d)
{
	ImageLoader imLoad;
	ImageData data;

	//Ground tiles.
	data = imLoad.loadImage(OverkillTiles::overkill01_png, OverkillTiles::overkill01_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill02_png, OverkillTiles::overkill02_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill03_png, OverkillTiles::overkill03_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill04_png, OverkillTiles::overkill04_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill05_png, OverkillTiles::overkill05_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill06_png, OverkillTiles::overkill06_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill07_png, OverkillTiles::overkill07_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill08_png, OverkillTiles::overkill08_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill09_png, OverkillTiles::overkill09_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));


	//Wall tiles.
	data = imLoad.loadImage(OverkillTiles::overkill10_png, OverkillTiles::overkill10_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill11_png, OverkillTiles::overkill11_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill12_png, OverkillTiles::overkill12_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));


	//Impassable tiles.
	data = imLoad.loadImage(OverkillTiles::overkill13_png, OverkillTiles::overkill13_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill14_png, OverkillTiles::overkill14_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill15_png, OverkillTiles::overkill15_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill16_png, OverkillTiles::overkill16_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill17_png, OverkillTiles::overkill17_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill18_png, OverkillTiles::overkill18_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill19_png, OverkillTiles::overkill19_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill20_png, OverkillTiles::overkill20_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill21_png, OverkillTiles::overkill21_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(OverkillTiles::overkill22_png, OverkillTiles::overkill22_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
}
