//	Pickup.h - Base class for pickups.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef PICKUP_H_
#define PICKUP_H_

class Drawer;
class GauntletPlayer;

///	Base class for pickups.
class Pickup
{
  public:
	///	Constructor.
	Pickup(int x, int y):
	xPos(x),
	yPos(y)
	{
		
	};
	///	Destructor.
	~Pickup() {};

	///	Draws the pickup.
	virtual void draw(Drawer *d) = 0;

	///	Applies the pickup to the player.
	virtual void apply(GauntletPlayer *p) = 0;

	///	Returns the pickup's position.
	int getX() const {return xPos;};
	///	Returns the pickup's position.
	int getY() const {return yPos;};
  private:
	///	The pickup's position.
	int xPos;
	///	The pickup's position.
	int yPos;
};

#endif
