//	Tocky1TileSet.cpp - Tile set using tocky's town tiles.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Tocky1TileSet.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "Tocky1Tiles.h"

//------------------------------------------------------------------------------
Tocky1TileSet::Tocky1TileSet()
{
	
}

//------------------------------------------------------------------------------
Tocky1TileSet::~Tocky1TileSet()
{
	
}

//------------------------------------------------------------------------------
void Tocky1TileSet::loadTiles(Drawer *d)
{
	ImageLoader imLoad;
	ImageData data;

	//Ground tiles.
	data = imLoad.loadImage(Tocky1Tiles::tocky100_png, Tocky1Tiles::tocky100_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky101_png, Tocky1Tiles::tocky101_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky102_png, Tocky1Tiles::tocky102_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky103_png, Tocky1Tiles::tocky103_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));


	//Wall tiles.
	data = imLoad.loadImage(Tocky1Tiles::tocky104_png, Tocky1Tiles::tocky104_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky105_png, Tocky1Tiles::tocky105_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky106_png, Tocky1Tiles::tocky106_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));


	//Impassable tiles.
	data = imLoad.loadImage(Tocky1Tiles::tocky107_png, Tocky1Tiles::tocky107_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky108_png, Tocky1Tiles::tocky108_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky109_png, Tocky1Tiles::tocky109_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky110_png, Tocky1Tiles::tocky110_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky111_png, Tocky1Tiles::tocky111_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky112_png, Tocky1Tiles::tocky112_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky113_png, Tocky1Tiles::tocky113_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky114_png, Tocky1Tiles::tocky114_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky115_png, Tocky1Tiles::tocky115_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky116_png, Tocky1Tiles::tocky116_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky117_png, Tocky1Tiles::tocky117_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky118_png, Tocky1Tiles::tocky118_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
	data = imLoad.loadImage(Tocky1Tiles::tocky119_png, Tocky1Tiles::tocky119_pngSize);
	impassable.push_back(d->loadImage(data.data, data.width, data.height));
}
