//	Tocky2TileSet.cpp - Tile set using Tocky's tiles.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "Tocky2TileSet.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "Tocky2Tiles.h"

//------------------------------------------------------------------------------
Tocky2TileSet::Tocky2TileSet()
{
	
}

//------------------------------------------------------------------------------
Tocky2TileSet::~Tocky2TileSet()
{
	
}

//------------------------------------------------------------------------------
void Tocky2TileSet::loadTiles(Drawer *d)
{
	ImageLoader imLoad;
	ImageData data;

	//Ground tiles.
	data = imLoad.loadImage(Tocky2Tiles::tocky200_png, Tocky2Tiles::tocky200_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky201_png, Tocky2Tiles::tocky201_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky202_png, Tocky2Tiles::tocky202_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky203_png, Tocky2Tiles::tocky203_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky204_png, Tocky2Tiles::tocky204_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky205_png, Tocky2Tiles::tocky205_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky206_png, Tocky2Tiles::tocky206_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky207_png, Tocky2Tiles::tocky207_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky208_png, Tocky2Tiles::tocky208_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky209_png, Tocky2Tiles::tocky209_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky210_png, Tocky2Tiles::tocky210_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky212_png, Tocky2Tiles::tocky212_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky213_png, Tocky2Tiles::tocky213_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky214_png, Tocky2Tiles::tocky214_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky215_png, Tocky2Tiles::tocky215_pngSize);
	ground.push_back(d->loadImage(data.data, data.width, data.height));


	//Wall tiles.
	data = imLoad.loadImage(Tocky2Tiles::tocky216_png, Tocky2Tiles::tocky216_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky217_png, Tocky2Tiles::tocky217_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky218_png, Tocky2Tiles::tocky218_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky219_png, Tocky2Tiles::tocky219_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky220_png, Tocky2Tiles::tocky220_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky221_png, Tocky2Tiles::tocky221_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky222_png, Tocky2Tiles::tocky222_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky223_png, Tocky2Tiles::tocky223_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky224_png, Tocky2Tiles::tocky224_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky225_png, Tocky2Tiles::tocky225_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky226_png, Tocky2Tiles::tocky226_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky227_png, Tocky2Tiles::tocky227_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky228_png, Tocky2Tiles::tocky228_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky229_png, Tocky2Tiles::tocky229_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky230_png, Tocky2Tiles::tocky230_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky231_png, Tocky2Tiles::tocky231_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky232_png, Tocky2Tiles::tocky232_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky233_png, Tocky2Tiles::tocky233_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky234_png, Tocky2Tiles::tocky234_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));

	data = imLoad.loadImage(Tocky2Tiles::tocky235_png, Tocky2Tiles::tocky235_pngSize);
	wall.push_back(d->loadImage(data.data, data.width, data.height));
}
