//	TitleScreen.cpp - The title screen game state.
//  ----------------------------------------------------------------------------
//	This file is part of 'Tile Massacre Shmup', my entry to the TIGSource
//	Assemblee contest.
//	Copyright (C) 2009  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#include "TitleScreen.h"
#include "NiallsDrawingLib/Drawer.h"
#include "NiallsDrawingLib/ImageLoader.h"
#include "Images.h"

#include <sstream>

using namespace std;

//------------------------------------------------------------------------------
uint32_t TitleScreen::background = 0;

//------------------------------------------------------------------------------
TitleScreen::TitleScreen(Application *app):
GameState(app),
credits("coded for the tigsource assemblee compo by niall moody    this game would not have been possible without fantastic graphics by  skab  mr trianglehead  dbb  tocky  acid  ixis  syniphas  pgil  emilio  arachne  oddball  big lon    music by  carvsound  mudeth  slide20xl    and sfx by  atuun  boomlinde  shaktool  and me    thanks guys    enjoy the massacre")
{
	
}

//------------------------------------------------------------------------------
TitleScreen::~TitleScreen()
{
	
}

//------------------------------------------------------------------------------
void TitleScreen::draw(Drawer *d)
{
	stringstream score;

	if(!background)
	{
		ImageLoader imLoad;
		ImageData data;

		data = imLoad.loadImage(Images::title_png, Images::title_pngSize);
		background = d->loadImage(data.data, data.width, data.height);
	}

	d->drawImage(background, -8, 0);

	//Draw the high scores.
	d->drawText(highScoreNames[0], 50, 184-13, 16.0f);
	d->drawText(highScoreNames[1], 50, 200-13, 16.0f);
	d->drawText(highScoreNames[2], 50, 216-13, 16.0f);
	d->drawText(highScoreNames[3], 50, 232-13, 16.0f);
	d->drawText(highScoreNames[4], 50, 248-13, 16.0f);
	d->drawText(highScoreNames[5], 50, 264-13, 16.0f);

	score << highScores[0];
	d->drawText(score.str(), 102, 184-13, 16.0f);
	score.str("");
	score << highScores[1];
	d->drawText(score.str(), 102, 200-13, 16.0f);
	score.str("");
	score << highScores[2];
	d->drawText(score.str(), 102, 216-13, 16.0f);
	score.str("");
	score << highScores[3];
	d->drawText(score.str(), 102, 232-13, 16.0f);
	score.str("");
	score << highScores[4];
	d->drawText(score.str(), 102, 248-13, 16.0f);
	score.str("");
	score << highScores[5];
	d->drawText(score.str(), 102, 264-13, 16.0f);

	//Draw the credits scroller.
	credits.draw(d, 300);
}

//------------------------------------------------------------------------------
void TitleScreen::keyDown(const SDL_keysym& keyPressed)
{
	if(keyPressed.sym == SDLK_z)
		nextState("ShooterGamePlay");
	else if(keyPressed.sym == SDLK_ESCAPE)
		quit();
}

//------------------------------------------------------------------------------
void TitleScreen::setHighScores(int *scores, string *names)
{
	highScores = scores;
	highScoreNames = names;
}
